%define	name	cuyo
%define	version	2.2.0.0
%define	release	%mkrel 3
%define	Summary A tetris like game
# Cuyo has a very strange naming scheme. 2.0.0 came after 2.1.1 (as 2.1.1 was named 2.-1.1)
%define upversion 2.0.0

Summary:	%{Summary}
Name:		%{name}
Url:		http://www.karimmi.de/cuyo/
Version:	%{version}
Release:	%{release}
Source0:	http://download.savannah.gnu.org/releases/cuyo/%{name}-%{upversion}.tar.gz
License:	GPLv2
Group:		Games/Arcade

BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel

%description
Cuyo is a Tetris like game, There is many different level,
with different rules. We can play it with two players.

%prep
%setup -q -n %{name}-%{upversion}

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Categories=Game;ArcadeGame;
Name=Cuyo
Comment=%{Summary}
EOF

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_mandir}/man6/cu*.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.2.0.0-3.mga4
+ Revision: 503708
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.2.0.0-2.mga3
+ Revision: 348510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 17 2012 malo <malo> 2.2.0.0-1.mga3
+ Revision: 271786
- update to new version
- dropped unneeded patch
- use upstream icons

* Sun Jan 29 2012 malo <malo> 2.1.1-4.mga2
+ Revision: 203055
- fix desktop file name
- spec clean-up after import from Mandriva.
- imported package cuyo


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-4mdv2011.0
+ Revision: 610181
- rebuild

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 2.1.1-3mdv2010.1
+ Revision: 541190
- simplify BRs

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 2.1.1-2mdv2010.1
+ Revision: 541189
- fix build with gcc44

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Apr 01 2009 Antoine Ginies <aginies@mandriva.com> 2.1.1-1mdv2009.1
+ Revision: 363367
- release 2.1.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 2.0-1mdv2008.1
+ Revision: 132936
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - add SDL_image in buildrequires tag
    - add SDL mixer and image buildrequire
    - add sdl-devel buildrequire
    - release 2.0-alpha1
    - Import cuyo



* Fri Jan 14 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.5-1mdk
- 1.8.5

* Sun Jul 11 2004 Michael Scherer <misc@mandrake.org> 1.8.3-2mdk 
- rebuild for new gcc

* Tue Oct 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.3-1mdk
- 1.8.3
- moved stuff to %%{_gamesbindir} and %%{_gamesdatadir}
- compile with $RPM_OPT_FLAGs
- added menu item
- added icons
- cleanups
- buildrequires

* Mon Aug 18 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 1.7.0-1mdk
- new release

* Tue Feb 11 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.6.1-2mdk
- add description and correct Group

* Tue Feb 11 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 1.6.1-1mdk
- first release for mandrakesoft.
